#!/bin/sh
#
#
# Update/Install Gskit 
#
#

OS=`uname -s`
echo $OS 

case "$OS" in 
          "AIX") 
                 installp -ac -d gskit.rte gskit 
          ;;
          "SunOS")
                  pkgadd -a ./admin -n -d . gsk4bas 
          ;;
          "HP-UX")
                  SRCDEPOT=`pwd`
                  swreg -l depot $SRCDEPOT/gsk4bas  
                  swinstall -s $SRCDEPOT/gsk4bas gsk4bas   
          ;;
          "Linux" )

# We had problems trying to update Gskit 5.0.3.x with newer version of Gskit
# therefore we will have to uninstall any version of GSkit 5.0.3.x that 
# may be on customer's machine before installing the new version of Gskit.  


                     echo "Invalid platform!" 
          ;;
          *)
          echo "ERROR: Can't determine platform!" 
          exit -1 ;;
esac




